--- /dev/null	Sat May 28 21:32:37 2011
+++ new/usr/src/cmd/iconv/Makefile	Sat May 28 21:32:37 2011
@@ -0,0 +1,74 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
+#
+
+PROG=iconv
+SHFILES=iconv_list
+
+include ../Makefile.cmd
+
+OBJS = iconv.o charmap.o parser.tab.o scanner.o
+
+SRCS	= $(OBJS:%.o=%.c)
+
+C99MODE=	$(C99_ENABLE)
+LDLIBS		+= -lgen
+LDLIBS 		+= -lavl
+YFLAGS		= -d -b parser
+$(RELEASE_BUILD) CPPFLAGS += -DNDEBUG
+
+CLEANFILES	= $(OBJS) parser.tab.c parser.tab.h
+CLOBBERFILES	= $(PROG) $(POFILE)
+PIFILES		= $(OBJS:%.o=%.i)
+POFILE		= iconv_cmd.po
+
+all: $(PROG) $(SHFILES)
+
+ROOTLIBICONV	= $(ROOT)/usr/lib/iconv
+ROOTLIBICONVSH	= $(SHFILES:%=$(ROOTLIBICONV)/%)
+$(ROOTLIBICONVSH) := FILEMODE = 0555
+
+install: all $(ROOTPROG) $(ROOTLIBICONV) $(ROOTLIBICONVSH)
+
+$(PROG): $(OBJS)
+	$(LINK.c) $(OBJS) -o $@ $(LDLIBS)
+	$(POST_PROCESS)
+
+$(OBJS):	parser.tab.h
+
+parser.tab.c parser.tab.h: parser.y
+	$(YACC) $(YFLAGS) parser.y
+
+lint:	$(SRCS)
+	$(LINT.c) $(CPPFLAGS) $(SRCS)
+
+clean:	
+	$(RM) $(CLEANFILES)
+
+$(POFILE):	$(PIFILES)
+	$(RM) $@
+	$(RM) messages.po
+	$(XGETTEXT) -s $(PIFILES)
+	$(SED) -e '/domain/d' messages.po > $@
+	$(RM) $(PIFILES) messages.po
+
+$(ROOTLIBICONV):
+	$(INS.dir)
+
+$(ROOTLIBICONV)/%: %
+	$(INS.file)
+
+.KEEP_STATE:
+
+include ../Makefile.targ
